| Linduino 1.3.0 Linear Technology Arduino-Compatible Demonstration Board

Functions | Variables
DC1880A.ino File Reference
Transceivers » LTC2874: Quad IO-Link Master Hot Swap Power Controller and PHY

Linear Technology DC1880A Demonstration Board. More...

## Detailed Description

Linear Technology DC1880A Demonstration Board.

    SETUP:
       Set the terminal baud rate to 115200 and select the newline terminator.
       External power supply is required.

    USER INPUT DATA FORMAT:
     decimal : 14
     hex     : 0x0E (Data), 0xE (Reg)

http://www.linear.com/product/LTC2874

http://www.linear.com/product/LTC2874#demoboards

Copyright 2018(c) Analog Devices, Inc.

All rights reserved.

Redistribution and use in source and binary forms, with or without modification, are permitted provided that the following conditions are met:

- Redistributions of source code must retain the above copyright notice, this list of conditions and the following disclaimer.
- Redistributions in binary form must reproduce the above copyright notice, this list of conditions and the following disclaimer in the documentation and/or other materials provided with the distribution.
- Neither the name of Analog Devices, Inc. nor the names of its contributors may be used to endorse or promote products derived from this software without specific prior written permission.
- The use of this software may or may not infringe the patent rights of one or more patent holders. This license does not release you from the requirement that you obtain separate licenses from these patent holders to use this software.
- Use of the software either in source or binary form, must be run on or directly connected to an Analog Devices Inc. component.

THIS SOFTWARE IS PROVIDED BY ANALOG DEVICES "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, NON-INFRINGEMENT, MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL ANALOG DEVICES BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, INTELLECTUAL PROPERTY RIGHTS, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.

IO-Link is a registered trademark of PROFIBUS User Organization (PNO).

Definition in file DC1880A.ino.

Go to the source code of this file.

## Functions
static void | print_title ()
| Print the title block. More...
static void | print_prompt ()
| Print main menu and prompt user for an input command. More...
static uint8_t | reg_test ()
| Test register number against valid range for Write. More...
static void | print_warning_prompt ()
| Print warning prompt. More...
static void | menu_1_cq (void)
| Menu 1: Enable/Disable CQ output for specified port. More...
static void | menu_2_lplus (void)
| Menu 2: Enable/Disable L+ output for specified port. More...
static void | menu_3_wakeup_cq (void)
| Menu 3: Generate Wake-Up Request (WURQ) on CQ output. More...
static void | menu_4_24v_mode (void)
| Menu 4: Change value of 24VMODE bit. More...
static void | menu_5_sio_mode (void)
| Menu 5: Change SIO_MODE setting for specified port. More...
static void | menu_6_set_illm (void)
| Menu 6: Change ILLM setting for specified port. More...
static void | menu_7_clear_event (void)
| Menu 7: Clear all Event registers. More...
static void | menu_8_update_all (void)
| Menu 8: Update all registers. More...
static void | menu_9_reset (void)
| Menu 9: Reset LTC2874. More...
static void | menu_10_read_register (void)
| Menu 10: Read byte of data from a register. More...
static void | menu_11_write_register (void)
| Menu 11: Write byte of data to a register. More...
static void | menu_12_read_bit (void)
| Menu 12: Read one bit from a register. More...
static void | menu_13_write_bit_set (void)
| Menu 13: Set one bit in writable register. More...
static void | menu_14_write_bit_clr (void)
| Menu 14: Clear one bit in writable register. More...
static void | setup ()
| Initialize Linduino. More...
static void | loop ()
| Repeats Linduino loop. More...

## Variables
char | demo_name [] = "DC1880"
| Demo Board Name stored in QuikEval EEPROM. More...
static uint8_t | demo_board_connected
| Set to 1 if the board is connected. More...

## Function Documentation

## ◆ loop()

static void loop | ( | void |  | ) |
| static

Repeats Linduino loop.

Definition at line 138 of file DC1880A.ino.

## ◆ menu_10_read_register()

static void menu_10_read_register | ( | void |  | ) |
| static

Menu 10: Read byte of data from a register.

Definition at line 471 of file DC1880A.ino.

## ◆ menu_11_write_register()

static void menu_11_write_register | ( | void |  | ) |
| static

Menu 11: Write byte of data to a register.

Definition at line 495 of file DC1880A.ino.

## ◆ menu_12_read_bit()

static void menu_12_read_bit | ( | void |  | ) |
| static

Menu 12: Read one bit from a register.

Definition at line 521 of file DC1880A.ino.

## ◆ menu_13_write_bit_set()

static void menu_13_write_bit_set | ( | void |  | ) |
| static

Menu 13: Set one bit in writable register.

Definition at line 553 of file DC1880A.ino.

## ◆ menu_14_write_bit_clr()

static void menu_14_write_bit_clr | ( | void |  | ) |
| static

Menu 14: Clear one bit in writable register.

Definition at line 580 of file DC1880A.ino.

## ◆ menu_1_cq()

static void menu_1_cq | ( | void |  | ) |
| static

Menu 1: Enable/Disable CQ output for specified port.

Definition at line 223 of file DC1880A.ino.

## ◆ menu_2_lplus()

static void menu_2_lplus | ( | void |  | ) |
| static

Menu 2: Enable/Disable L+ output for specified port.

Definition at line 273 of file DC1880A.ino.

## ◆ menu_3_wakeup_cq()

static void menu_3_wakeup_cq | ( | void |  | ) |
| static

Menu 3: Generate Wake-Up Request (WURQ) on CQ output.

Definition at line 323 of file DC1880A.ino.

## ◆ menu_4_24v_mode()

static void menu_4_24v_mode | ( | void |  | ) |
| static

Menu 4: Change value of 24VMODE bit.

Definition at line 344 of file DC1880A.ino.

## ◆ menu_5_sio_mode()

static void menu_5_sio_mode | ( | void |  | ) |
| static

Menu 5: Change SIO_MODE setting for specified port.

Definition at line 364 of file DC1880A.ino.

## ◆ menu_6_set_illm()

static void menu_6_set_illm | ( | void |  | ) |
| static

Menu 6: Change ILLM setting for specified port.

Definition at line 400 of file DC1880A.ino.

## ◆ menu_7_clear_event()

static void menu_7_clear_event | ( | void |  | ) |
| static

Menu 7: Clear all Event registers.

Definition at line 440 of file DC1880A.ino.

## ◆ menu_8_update_all()

static void menu_8_update_all | ( | void |  | ) |
| static

Menu 8: Update all registers.

Definition at line 451 of file DC1880A.ino.

## ◆ menu_9_reset()

static void menu_9_reset | ( | void |  | ) |
| static

Menu 9: Reset LTC2874.

Definition at line 461 of file DC1880A.ino.

## ◆ print_prompt()

static void print_prompt | ( |  | ) |
| static

Print main menu and prompt user for an input command.

Definition at line 624 of file DC1880A.ino.

## ◆ print_title()

static void print_title | ( | void |  | ) |
| static

Print the title block.

Definition at line 607 of file DC1880A.ino.

## ◆ print_warning_prompt()

static void print_warning_prompt | ( |  | ) |
| static

Print warning prompt.

Definition at line 691 of file DC1880A.ino.

## ◆ reg_test()

static uint8_t reg_test | ( |  | ) |
| static

Test register number against valid range for Write.

Definition at line 651 of file DC1880A.ino.

## ◆ setup()

static void setup | ( | void |  | ) |
| static

Initialize Linduino.

Definition at line 106 of file DC1880A.ino.

## Variable Documentation

## ◆ demo_board_connected

uint8_t demo_board_connected
| static

Set to 1 if the board is connected.

Definition at line 101 of file DC1880A.ino.

## ◆ demo_name

char demo_name[] = "DC1880"

Demo Board Name stored in QuikEval EEPROM.

Definition at line 97 of file DC1880A.ino.